Content-Type: text/html; charset=UTF-8
Last-Modified: Fri, 29 Nov 2024 03:48:05 GMT
Expires: Mon, 27 Nov 2034 03:48:05 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>mu - Soul of a tiny new machine. More thorough tests → More comprehensible and rewrite-friendly software → More resilient society.</title>
<meta name='generator' content='cgit 1.4.1-2-gfad0'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='alternate' title='Atom feed' href='https://git.tilde.institute/akkartik/mu/atom/apps/tile/rpn.mu?h=main' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.tilde.institute/akkartik/mu' title='mu Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='main'><a href='/'>index</a> : <a href='/akkartik/mu/'>mu</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'/><select name='h' onchange='this.form.submit();'>
<option value='50d6c374de23adebc7a3a2742c6c20dfd87010fb'>this commit</option>
<optgroup label='branches'><option value='hlt'>hlt</option>
<option value='main' selected='selected'>main</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Soul of a tiny new machine. More thorough tests → More comprehensible and rewrite-friendly software → More resilient society.</td><td class='sub right'>Kartik K. Agaram &lt;vc@akkartik.com&gt;</td></tr></table>
<table class='tabs'><tr><td>
<a href='/akkartik/mu/about/?h=main'>about</a> <a href='/akkartik/mu/?h=main'>summary</a> <a href='/akkartik/mu/refs/?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>refs</a> <a href='/akkartik/mu/log/apps/tile/rpn.mu?h=main'>log</a> <a href='/akkartik/mu/tree/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>tree</a> <a href='/akkartik/mu/commit/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>commit</a> <a class='active' href='/akkartik/mu/diff/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>diff</a> <a href='/akkartik/mu/stats/apps/tile/rpn.mu?h=main'>stats</a></td><td class='form'><form class='right' method='get' action='/akkartik/mu/log/apps/tile/rpn.mu'>
<input type='hidden' name='h' value='main'/><input type='hidden' name='id' value='22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/akkartik/mu/diff/?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>root</a>/<a href='/akkartik/mu/diff/apps?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>apps</a>/<a href='/akkartik/mu/diff/apps/tile?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>tile</a>/<a href='/akkartik/mu/diff/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>rpn.mu</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='h' value='main'/><input type='hidden' name='id' value='22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><div class='diffstat-header'><a href='/akkartik/mu/diff/?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>Diffstat</a> (limited to 'apps/tile/rpn.mu')</div><table summary='diffstat' class='diffstat'><tr><td class='mode'>-rw-r--r--</td><td class='upd'><a href='/akkartik/mu/diff/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>apps/tile/rpn.mu</a></td><td class='right'>27</td><td class='graph'><table summary='file diffstat' width='27%'><tr><td class='add' style='width: 14.8%;'/><td class='rem' style='width: 85.2%;'/><td class='none' style='width: 0.0%;'/></tr></table></td></tr>
</table><div class='diffstat-summary'>1 files changed, 4 insertions, 23 deletions</div><table summary='diff' class='diff'><tr><td><pre><span class='head'>diff --git a/apps/tile/rpn.mu b/apps/tile/rpn.mu
index 4fec403c..79339918 100644
--- a/<a href='/akkartik/mu/tree/apps/tile/rpn.mu?h=main&amp;id=890df1de516743ba06d5dfe4a63688bc7c12d4ad'>apps/tile/rpn.mu</a>
+++ b/<a href='/akkartik/mu/tree/apps/tile/rpn.mu?h=main&amp;id=22a7849a5efb5d5fa76a6f5633f802b8be9b21c3'>apps/tile/rpn.mu</a>
</span><span class='hunk'>@@ -1,5 +1,7 @@</span>
<span class='del'>-fn evaluate start: (addr word), end: (addr word), out: (addr int-stack) {</span>
<span class='del'>-  var curr/eax: (addr word) &lt;- copy start</span>
<span class='add'>+fn evaluate defs: (addr function), scratch: (addr line), end: (addr word), out: (addr int-stack) {</span>
<span class='add'>+  var line/eax: (addr line) &lt;- copy scratch</span>
<span class='add'>+  var word-ah/eax: (addr handle word) &lt;- get line, data</span>
<span class='add'>+  var curr/eax: (addr word) &lt;- lookup *word-ah</span>
<span class='ctx'>   var curr-text-storage: (stream byte 0x10)</span>
<span class='ctx'>   var curr-text/edi: (addr stream byte) &lt;- address curr-text-storage</span>
<span class='ctx'>   clear-int-stack out</span>
<span class='hunk'>@@ -61,27 +63,6 @@ fn evaluate start: (addr word), end: (addr word), out: (addr int-stack) {</span>
<span class='ctx'>   }</span>
<span class='ctx'> }</span>
<span class='ctx'> </span>
<span class='del'>-fn test-evaluate {</span>
<span class='del'>-  # input = [1, 2, +]</span>
<span class='del'>-  var w: (handle word)</span>
<span class='del'>-  var wah/eax: (addr handle word) &lt;- address w</span>
<span class='del'>-  allocate wah</span>
<span class='del'>-  var wa/eax: (addr word) &lt;- lookup w</span>
<span class='del'>-  initialize-word-with wa, "1"</span>
<span class='del'>-  append-word-with w, "2"</span>
<span class='del'>-  var next/ecx: (addr handle word) &lt;- get wa, next</span>
<span class='del'>-  append-word-with *next, "+"</span>
<span class='del'>-  # initialize output</span>
<span class='del'>-  var stack-storage: int-stack</span>
<span class='del'>-  var stack/edx: (addr int-stack) &lt;- address stack-storage</span>
<span class='del'>-  initialize-int-stack stack, 0x10</span>
<span class='del'>-  #</span>
<span class='del'>-  evaluate wa, 0, stack</span>
<span class='del'>-  # check output</span>
<span class='del'>-  var x/eax: int &lt;- pop-int-stack stack</span>
<span class='del'>-  check-ints-equal x, 3, "F - test-evaluate"</span>
<span class='del'>-}</span>
<span class='del'>-</span>
<span class='ctx'> # Copy of 'simplify' that just tracks the maximum stack depth needed</span>
<span class='ctx'> # Doesn't actually need to simulate the stack, since every word has a predictable effect.</span>
<span class='ctx'> fn max-stack-depth first-word: (addr word), final-word: (addr word) -&gt; result/edi: int {</span>
</pre></td></tr></table></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-11-29 03:48:05 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
nisanti/profani-tty/blame/.travis.yml?id=24784d9ea614383a725f198e49b00a2e7d0a6f88'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2015-09-21 21:40:04 +0100
committer  James Booth &lt;boothj5@gmail.com&gt;  2015-09-21 21:40:04 +0100

Check for libmesode, fall back to libstrophe' href='/danisanti/profani-tty/commit/.travis.yml?id=2b88e2f1bffca2800b521214df6009da673a0835'>2b88e2f1</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=14edbe17701e764ff36f2440b4143af8c522380a'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2015-02-23 00:24:24 +0000
committer  James Booth &lt;boothj5@gmail.com&gt;  2015-02-23 00:24:24 +0000

Updated .travis.yml to use cmocka-1.0.0' href='/danisanti/profani-tty/commit/.travis.yml?id=ba22baba90358ce755644b4478e506a88314f81d'>ba22baba</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=c249a60cba286ccf9eff1610c30d2e211d723ea4'>^</a>


</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2014-02-23 03:17:25 +0000
committer  James Booth &lt;boothj5@gmail.com&gt;  2014-02-23 03:17:25 +0000

Added cmocka to travis build' href='/danisanti/profani-tty/commit/.travis.yml?id=c9a45d4d9de065ecafaaf35684c5449453b1e572'>c9a45d4d</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=9489c4f0fa1faf01d0c8d0479dc8cb23270ee168'>^</a>





</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2015-02-23 00:24:24 +0000
committer  James Booth &lt;boothj5@gmail.com&gt;  2015-02-23 00:24:24 +0000

Updated .travis.yml to use cmocka-1.0.0' href='/danisanti/profani-tty/commit/.travis.yml?id=ba22baba90358ce755644b4478e506a88314f81d'>ba22baba</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=c249a60cba286ccf9eff1610c30d2e211d723ea4'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2015-05-31 23:35:52 +0100
committer  James Booth &lt;boothj5@gmail.com&gt;  2015-05-31 23:35:52 +0100

Added microhttpd dependency for stabber' href='/danisanti/profani-tty/commit/.travis.yml?id=e372ff9c87abf57249934159c560757a376bfae6'>e372ff9c</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=b1481affa943a34655c5f23d379778801c41ce26'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2015-05-17 22:35:17 +0100
committer  James Booth &lt;boothj5@gmail.com&gt;  2015-05-17 22:35:17 +0100

Updated travis build, make stabber dependency' href='/danisanti/profani-tty/commit/.travis.yml?id=641eadd02f7f22d5bb16ba249d38b62c0da7b6a1'>641eadd0</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=09f01d518cf4553b4aba1caf0911a1829cd7c635'>^</a>







</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2014-02-23 03:03:29 +0000
committer  James Booth &lt;boothj5@gmail.com&gt;  2014-02-23 03:03:29 +0000

Added dependencies to travis build' href='/danisanti/profani-tty/commit/.travis.yml?id=e5787b95047ba0212b4bb798271bc4909a1ed237'>e5787b95</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=24784d9ea614383a725f198e49b00a2e7d0a6f88'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  James Booth &lt;boothj5@gmail.com&gt;  2016-02-24 00:31:55 +0000
committer  James Booth &lt;boothj5@gmail.com&gt;  2016-02-24 00:31:55 +0000

Added python plugins code' href='/danisanti/profani-tty/commit/.travis.yml?id=0fc0b3eeecccface462733f42b3acb636bcd3622'>0fc0b3ee</a></span> <a title='Blame the previous revision' href='/danisanti/profani-tty/blame/.travis.yml?id=ac91e7ef8578fda44704d264f78bc5004c81d947'>^</a>
</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
</pre></div><div class='alt'><pre><a id='n2' href='#n2'>2</a>
</pre></div><div class='alt'><pre><a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
</pre></div><div class='alt'><pre><a id='n5' href='#n5'>5</a>
</pre></div><div class='alt'><pre><a id='n6' href='#n6'>6</a>
</pre></div><div class='alt'><pre><a id='n7' href='#n7'>7</a>
</pre></div><div class='alt'><pre><a id='n8' href='#n8'>8</a>
</pre></div><div class='alt'><pre><a id='n9' href='#n9'>9</a>
</pre></div><div class='alt'><pre><a id='n10' href='#n10'>10</a>
</pre></div><div class='alt'><pre><a id='n11' href='#n11'>11</a>
</pre></div><div class='alt'><pre><a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></div><div class='alt'><pre><a id='n15' href='#n15'>15</a>
</pre></div><div class='alt'><pre><a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
</pre></div><div class='alt'><pre><a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
</pre></div><div class='alt'><pre><a id='n25' href='#n25'>25</a>
</pre></div><div class='alt'><pre><a id='n26' href='#n26'>26</a>
</pre></div><div class='alt'><pre><a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
</pre></div><div class='alt'><pre><a id='n35' href='#n35'>35</a>
</pre></div><div class='alt'><pre><a id='n36' href='#n36'>36</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>
           </pre></div><div class='alt'><pre>
        </pre></div><div class='alt'><pre>

                    </pre></div><div class='alt'><pre>
                         </pre></div><div class='alt'><pre>
                                                                                                                                                                                                              </pre></div><div class='alt'><pre>
                                                      </pre></div><div class='alt'><pre>
                  </pre></div><div class='alt'><pre>
              </pre></div><div class='alt'><pre>
                    </pre></div><div class='alt'><pre>
                               </pre></div><div class='alt'><pre>


                       </pre></div><div class='alt'><pre>
                      </pre></div><div class='alt'><pre>


                                                           </pre></div><div class='alt'><pre>





                                                                   </pre></div><div class='alt'><pre>
                         </pre></div><div class='alt'><pre>
                                            </pre></div><div class='alt'><pre>







                                                    </pre></div><div class='alt'><pre>
                    </pre></div><div class='alt'><pre>
                                                                                    </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">language</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">c</span>
<span class="nt">install</span><span class="p">:</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">lsb_release -a</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">uname -a</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo apt-get update</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo apt-get -y install libssl-dev libexpat1-dev libncursesw5-dev libglib2.0-dev libnotify-dev libcurl3-dev libxss-dev libotr2-dev libgpgme11-dev autoconf-archive expect-dev tcl-dev libtool python-dev</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">git clone git://github.com/boothj5/libmesode.git</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd libmesode</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">mkdir m4</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./bootstrap.sh</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./configure --prefix=/usr</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">make</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo make install</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd ..</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">rm -rf libmesode</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">wget https://cmocka.org/files/1.0/cmocka-1.0.0.tar.xz</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">tar -xvf cmocka-1.0.0.tar.xz</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd cmocka-1.0.0</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">mkdir build</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd build</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Debug ..</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">make</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo make install</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd ../..</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">rm -rf cmocka-1.0.0</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo apt-get install libmicrohttpd-dev</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">git clone git://github.com/boothj5/stabber.git</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd stabber</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./bootstrap.sh</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./configure --prefix=/usr</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">make</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">sudo make install</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cd ..</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">rm -rf stabber</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./bootstrap.sh</span>
<span class="nt">script</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">./configure --enable-python-plugins --enable-c-plugins &amp;&amp; make &amp;&amp; make check</span>
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-11-29 03:48:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
